Bug 6630 - AI_ADDRCONFIG fails on QNX 6.3.0
AI_ADDRCONFIG fails on QNX 6.3.0
Status: RESOLVED FIXED
Product: Samba 3.4
Classification: Unclassified
Component: Build environment
3.4.0
Other Other
: P3 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-08-11 10:03 UTC by Matt Kraai
Modified: 2012-05-23 20:04 UTC (History)
3 users (show)

See Also:


Attachments
Patch to undefine AI_ADDRCONFIG on QNX 6.3.0 systems (355 bytes, patch)
2009-08-11 10:19 UTC, Matt Kraai
vl: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Matt Kraai 2009-08-11 10:03:00 UTC
Some of the functions in source3/lib/util_sock.c use AI_ADDRCONFIG.  On QNX 6.3.0, this macro is defined but, if it's used, getaddrinfo will fail.  This prevents smbd from opening any sockets.

If I undefine AI_ADDRCONFIG on such systems and allow lib/replace/system/network.h to define it to be 0, this works around the issue.
Comment 1 Matt Kraai 2009-08-11 10:19:13 UTC
Created attachment 4542 [details]
Patch to undefine AI_ADDRCONFIG on QNX 6.3.0 systems
Comment 2 Stefan Metzmacher 2009-08-12 06:31:18 UTC
Fixed as 91d13b68be55728a85b3832e2da9267dbf4f2464 in master.

I think we should pick it for v3-4-test also.

metze
Comment 3 Karolin Seeger 2009-08-17 03:52:53 UTC
Reopening bug as it should be included into the 3.4 branches.
Comment 4 Volker Lendecke 2009-08-17 03:59:36 UTC
Wow, that's ugly. I thought we got over these #ifdef __SOME_BROKEN_OS__ patches and do it with configure-tests.

I mean, I doubt it breaks anything, so from my point of view it could go into 3.4.1, but I think it needs SEVERE overhaul. Can someone please write a configure test for this?

Volker
Comment 5 Michael Adam 2009-08-17 04:05:46 UTC
ugly or not, let's fix it _now_ for 3.4.
we can still make it more beautiful in master...
+1
Comment 6 Karolin Seeger 2009-08-17 04:13:18 UTC
Pushed, patch will be included in 3.4.1.
Closing out bug report.

Thanks!